#include "run-time.h"

void _Init_parser_compiler_ () __attribute__((constructor));
void _Init_parser_compiler_ () {
  extern void _Init_Run_Time();
  extern void _Init_parser_generator_();
  extern void _Init_system_();
  extern void _Init_io_();
  extern void _Init_common_dylan_();
  extern void _Init_parser_compiler__X_library_for_system();
  extern void _Init_parser_compiler__X_main_for_system();
  extern void _Init_parser_compiler__X_run_for_system();
  extern void _Init_parser_compiler__X_library_for_user();
  extern void _Init_parser_compiler__X_main_for_user();
  extern void _Init_parser_compiler__X_run_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_parser_generator_();
    _Init_system_();
    _Init_io_();
    _Init_common_dylan_();
    _Init_parser_compiler__X_library_for_system();
    _Init_parser_compiler__X_main_for_system();
    _Init_parser_compiler__X_run_for_system();
    _Init_parser_compiler__X_library_for_user();
    _Init_parser_compiler__X_main_for_user();
    _Init_parser_compiler__X_run_for_user();
  }
}
